Kirjoittaja Aihe: Firefox 3.6 tuli / tulossa vanhoihin julkaisuihin (8.04 ja 9.04 eteenpäin)  (Luettu 1240 kertaa)

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Jovain, Firefox vaihtui turvallisuuspäivitysten kautta tuoreimpaan versioon eli 3.6.6. tässä 8.04:ssä. Sama paketti lienee jo 10.04:ssä sekä lähitulevaisuudessa myös 9.04:ssä ja 9.10:ssä. Vähän niinkuin pakollisesti asentuu kaikille, joilla turvallisuuspäivitykset ovat käytössä ja kenelläpä eivät olisi.

Tällaisen poikkeuksellisen ison päivityksen vakaisiin Ubuntuihin aiheuttaa se, että Firefox on lyhentämässä tuettua aikaa omille julkaisuilleen ja Firefox 3.0:aa ei tueta enää. Ubuntu katsoi, että nyt ja tulevaisuudessa on järkevintä seurata "ylävirtaa".   

Joitakin pieniä murheita luetellaan julkaisutiedotteessa:  
http://www.ubuntu.com/usn/usn-930-1
Minulla niistä pisti silmään heti se, että fontit olivat kauniisti sanottuna päin mäntyä. Firefox ei noudata työpöydän fonttiasetuksia. Ainakin 8.04:ssä vika korjataan luomalla sopiva ~/.fonts.conf tiedosto, jota tarvitaan niin kauan kuin bugi saadaan korjattua (on kyllä tiedossa ja tärkeäksi priorisoitu)

Muistaakseni Hardyyn on suositeltu aikoinaan sun-java5-plugin liitännäistä lähinnä sen vuoksi, että Sampon nettipankki toimisi. Viitosjava ei tiedotteen mukaan toimi FIrefox 3.6:ssa. Tässä olisi nyt syytä kokeilla, kuinka Hardyn nykyinen versio sun-java6-plugin:ista kelpaa Sampo-pankille.
« Viimeksi muokattu: 01.07.10 - klo:22.39 kirjoittanut anttimr »
Ubuntu 12.10 Quantal Quetzal

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Jaha.
Javakin menee, tai saattaa mennä, päivityksessä rikki.
https://bugs.launchpad.net/ubuntu/+source/sun-java6/+bug/600642

Niin kauan kunnes edellinen on korjattu, seuraava konsti:

*********** WORKAROUND ***********

With sun-java6-plugin installed, run "sudo update-alternatives --config mozilla-javaplugin.so", and select the alternative provided by /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so

Scriptable alternative:
sudo update-alternatives --set mozilla-javaplugin.so /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so

**************************************

ps. Sampo toimii näillä uusimmilla palikoilla.
« Viimeksi muokattu: 02.07.10 - klo:00.00 kirjoittanut anttimr »
Ubuntu 12.10 Quantal Quetzal